:root {
  --total-amount: 10;
  --current-amount: 10;
}
.site-heading {
  padding-top: 175px;
}
.navbar {
  top: 65px;
}
.fund-banner {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  color: #fff;
  height: 65px;
  z-index: 1035;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out;
}
.fund-banner.transparent {
  background-color: rgba(128, 128, 128, 0.44) !important;
  border: none;
  color: white !important;
  z-index: 1035;
}

.fund-banner .container-sm {
  height: 100%;
}
.fund-banner__row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
}
.fund-banner__text {
  max-width: 360px;
  font-size: 16px;
  font-weight: 700;
  position: relative;
}
.fund-banner.transparent a {
  color: #fff;
  text-decoration: underline;
}
.fund-banner__text--light a {
  color: rgb(0, 0, 0);
  text-decoration: underline;
}
.fund-banner__bar {
  display: flex;
  align-items: center;
}
.fund-banner__bar-container {
  width: 470px;
  background-color: #d1d1d1;
  border-radius: 50px;
  height: 33px;
  position: relative;
  margin-right: 20px;
}
.fund-banner__bar-progress {
  height: 100%;
  background: #0ba023;
  box-shadow: inset -4px -6px 6px rgba(0, 0, 0, 0.25);
  border-radius: 50px;
  display: flex;
  align-items: center;
  font-weight: 700;
  font-size: 17px;
  line-height: 23px;
  color: #ffffff;
  width: calc(var(--current-amount) / var(--total-amount) * 100%);
  max-width: 100%;
}
.fund-banner__bar-current {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  display: flex;
  align-items: center;
  text-transform: uppercase;
  color: #000;
}
.fund-banner__bar-total {
  font-size: 16px;
  font-weight: 700;
}
.fund-banner__bar-current-sum {
  margin-right: 5px;
  font-size: 17px;
}
.fund-banner__bar-current-text {
  font-size: 13px;
  margin-top: 3px;
}
.fund-banner__close-btn button {
  border: none;
  width: 35px;
  height: 35px;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  background-color: #525252;
  border-radius: 50px;
  position: relative;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}
.fund-banner__close-btn button::before,
.fund-banner__close-btn button::after {
  content: '';
  width: 17px;
  height: 2px;
  background-color: #fff;
  border-radius: 3px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%) rotate(45deg);
}
.fund-banner__close-btn button::after {
  transform: translateX(-50%) translateY(-50%) rotate(-45deg);
}
.fund-banner__close-btn button:hover {
  background-color: #0385a1;
}
.fund-banner__company {
  position: absolute;
  top: 100%;
  left: 50%;
  width: 110px;
  height: 400px;
  transform: translateX(-529px) translateY(-12px);
}
.fund-banner__company a {
  display: flex;
  justify-content: center;
  width: 100%;
  height: 100%;
  position: relative;
}
.fund-banner__company svg {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}
.fund-banner__company-logo {
  width: 100%;
  min-width: 139px;
  height: 100%;
  max-height: 139px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.2s ease-in-out;
  margin-top: 50px;
  background: #fff;
  border-radius: 50%;
  position: relative;
  box-shadow: 0 0 5px rgb(0 0 0 / 50%);
}
.fund-banner__company-logo img {
  width: auto;
  height: auto;
  max-width: 85%;
  max-height: 85%;
}

.fund-banner__company-logo::after {
  content: '';
  width: 100%;
  min-width: 160px;
  height: 100%;
  min-height: 160px;
  max-height: 160px;

  background-color: #314cb0ff;
  border-radius: 50%;
  position: absolute;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  top: 50%;
  z-index: -1;
  clip-path: polygon(
    50% 0%,
    46.93% 3.1%,
    43.47% 0.43%,
    40.83% 3.9%,
    37.06% 1.7%,
    34.89% 5.49%,
    30.87% 3.81%,
    29.21% 7.85%,
    25% 6.7%,
    23.89% 10.92%,
    19.56% 10.33%,
    19.01% 14.66%,
    14.64% 14.64%,
    14.66% 19.01%,
    10.33% 19.56%,
    10.92% 23.89%,
    6.7% 25%,
    7.85% 29.21%,
    3.81% 30.87%,
    5.49% 34.89%,
    1.7% 37.06%,
    3.9% 40.83%,
    0.43% 43.47%,
    3.1% 46.93%,
    0% 50%,
    3.1% 53.07%,
    0.43% 56.53%,
    3.9% 59.17%,
    1.7% 62.94%,
    5.49% 65.11%,
    3.81% 69.13%,
    7.85% 70.79%,
    6.7% 75%,
    10.92% 76.11%,
    10.33% 80.44%,
    14.66% 80.99%,
    14.64% 85.36%,
    19.01% 85.34%,
    19.56% 89.67%,
    23.89% 89.08%,
    25% 93.3%,
    29.21% 92.15%,
    30.87% 96.19%,
    34.89% 94.51%,
    37.06% 98.3%,
    40.83% 96.1%,
    43.47% 99.57%,
    46.93% 96.9%,
    50% 100%,
    53.07% 96.9%,
    56.53% 99.57%,
    59.17% 96.1%,
    62.94% 98.3%,
    65.11% 94.51%,
    69.13% 96.19%,
    70.79% 92.15%,
    75% 93.3%,
    76.11% 89.08%,
    80.44% 89.67%,
    80.99% 85.34%,
    85.36% 85.36%,
    85.34% 80.99%,
    89.67% 80.44%,
    89.08% 76.11%,
    93.3% 75%,
    92.15% 70.79%,
    96.19% 69.13%,
    94.51% 65.11%,
    98.3% 62.94%,
    96.1% 59.17%,
    99.57% 56.53%,
    96.9% 53.07%,
    100% 50%,
    96.9% 46.93%,
    99.57% 43.47%,
    96.1% 40.83%,
    98.3% 37.06%,
    94.51% 34.89%,
    96.19% 30.87%,
    92.15% 29.21%,
    93.3% 25%,
    89.08% 23.89%,
    89.67% 19.56%,
    85.34% 19.01%,
    85.36% 14.64%,
    80.99% 14.66%,
    80.44% 10.33%,
    76.11% 10.92%,
    75% 6.7%,
    70.79% 7.85%,
    69.13% 3.81%,
    65.11% 5.49%,
    62.94% 1.7%,
    59.17% 3.9%,
    56.53% 0.43%,
    53.07% 3.1%
  );
}

.fund-banner__company-logo::before {
  content: '';
  width: 150px;
  height: 150px;
  background-color: #1f4fff;
  position: absolute;
  top: 50%;
  left: 50%;
  border-radius: 100px;
  z-index: -1;
  transform: translateX(-50%) translateY(-50%);
  box-shadow: 0 0 35px rgb(0 0 0 / 70%);
}
.fund-banner__company::after {
  content: '';
  width: 0;
  height: 0;
  border-left: 15px solid transparent;
  border-bottom: 12px solid #0e2780;
  position: absolute;
  top: 0;
  right: 100%;
  z-index: -1;
  transform: translateY(2px) translateX(0);
  filter: brightness(70%);
}
.fund-banner--light {
  color: #000;
}
.fund-banner:not(.transparent) svg {
    opacity: 0;
    height: 0;
    transition: all .3s ease-in-out;
}
.fund-banner:not(.transparent) .fund-banner__company-logo::before {
    width: 50px;
    height: 80px;
    border-radius: 25px;
}
.fund-banner:not(.transparent) .fund-banner__company-logo::after {
    min-height: 120px;
    min-width: 160px;
}
.fund-banner:not(.transparent) .fund-banner__company {
    top: 55%;
    height: 80px;
    width: 100px;
    transition: all .3s ease-in-out;
}
.fund-banner:not(.transparent) .fund-banner__company::after {
    opacity: 0;
    transition: all .3s ease-in-out;
}
@media (max-width: 1399px) {
  .fund-banner__company {
    transform: translateX(-475px) translateY(-12px);
  }
}
@media (max-width: 1299px) {
  .fund-banner__company {
    transform: translateX(-450px) translateY(-12px);
  }
}
@media (max-width: 1200px) {
  .fund-banner__bar-container {
    width: 400px;
  }
  .fund-banner__text {
    max-width: 300px;
  }
  .fund-banner__company {
    transform: translateX(-400px) translateY(-12px);
  }
}
@media (max-width: 1000px) {
  .fund-banner__bar-container {
    width: 300px;
  }
  .fund-banner__text {
    font-size: 14px;
  }
  .fund-banner__company {
    transform: translateX(-320px);
  }
}
@media (max-width: 767px) {
  .site-heading {
    padding-top: 250px;
  }
  .navbar {
    top: 140px;
  }
  .fund-banner {
    height: 140px;
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .fund-banner__row {
    flex-direction: column-reverse;
    position: relative;
  }
  .fund-banner__close-btn {
    position: absolute;
    top: 15px;
    right: 0;
  }
  .fund-banner__bar {
    flex-direction: column-reverse;
  }
  .fund-banner__company {
    width: 55px;
    height: 55px;
    top: auto;
    left: auto;
    right: 20px;
    bottom: 3px;
    transform: translateY(0);
  }
  .fund-banner__company::after,
  .fund-banner__company::before {
    display: none;
  }
  .fund-banner__company-logo {
    margin-top: 0;
    min-height: 55px;
    min-width: 55px;
  }
  .fund-banner__company-logo::after {
    min-width: 65px;
    min-height: 65px;
  }
  .fund-banner__company-logo::before {
    display: none;
  }
  .fund-banner__company svg {
    display: none;
  }
  .fund-banner__bar-total {
    margin-bottom: 7px;
  }
  .fund-banner__text {
    max-width: 257px;
    margin-left: -60px;
  }
  .fund-banner__company a::before,
  .fund-banner__company a::after {
    display: none;
  }
}
@media (max-width: 420px) {
  .fund-banner__row {
    align-items: flex-start;
  }
  .fund-banner__text {
    margin-left: 0;
    font-size: 11px;
    text-align: center;
    max-width: 200px;
  }
  .fund-banner__close-btn {
    top: -7px;
  }
  .fund-banner__close-btn button {
    background-color: transparent;
    box-shadow: none;
  }
  .fund-banner__bar {
    width: 100%;
  }
  .fund-banner__bar-container {
    width: 100%;
    margin-right: 0;
    height: 20px;
    margin-top: 5px;
  }
  .fund-banner__bar-current-text {
    display: none;
  }
  .fund-banner__bar-current-sum {
    font-size: 13px;
  }
  .fund-banner__company {
    right: 0;
  }
}
